<script setup>
import { computed } from 'vue';

const props = defineProps({
    activated: Boolean,
});

const defaultClasses = 'text-xl font-medium px-6 py-5 ';

const classes = computed(() => {
    return props.activated
        ? defaultClasses + 'text-black bg-white'
        : defaultClasses + 'text-white hover:bg-white hover:text-black';
});
</script>

<template>
    <button :class="classes" :disabled="activated">
        <slot />
    </button>
</template>
